Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class QuoteSymbolByteCheckerImpl

    java.lang.Object
      com.servingxml.components.flatfile.options.QuoteSymbolByteCheckerImpl

All Implemented Interfaces:
  QuoteSymbolByteChecker

    public final class QuoteSymbolByteCheckerImpl

extends java.lang.Object
implements QuoteSymbolByteChecker

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.options.QuoteSymbolByteChecker
`NULL`

Constructor Summary
`QuoteSymbolByteCheckerImpl(byte[] value, byte[] escapeSequence)`

Method Summary
`int` | `foundEscapedQuoteSymbol(byte[] data, int start, int length)`
`boolean` | `foundEscapedQuoteSymbol(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`
`int` | `foundQuoteSymbol(byte[] data, int start, int length)`
`boolean` | `foundQuoteSymbol(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`
`int` | `length()`
`int` | `startsBuffer(byte[] buffer)`
`int` | `startsBuffer(char[] buffer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuoteSymbolByteCheckerImpl

    public QuoteSymbolByteCheckerImpl(byte[] value,
                                      byte[] escapeSequence)

Method Detail

### foundEscapedQuoteSymbol

    public final boolean foundEscapedQuoteSymbol(ByteBuffer recordBuffer,
                                                 ByteArrayBuilder byteArrayBuilder)
                                          throws java.io.IOException

  Specified by:
    `foundEscapedQuoteSymbol` in interface `QuoteSymbolByteChecker`
  Throws:
    `java.io.IOException`

### foundEscapedQuoteSymbol

    public final int foundEscapedQuoteSymbol(byte[] data,
                                             int start,
                                             int length)
                                      throws java.io.IOException

  Specified by:
    `foundEscapedQuoteSymbol` in interface `QuoteSymbolByteChecker`
  Throws:
    `java.io.IOException`

### foundQuoteSymbol

    public final boolean foundQuoteSymbol(ByteBuffer recordBuffer,
                                          ByteArrayBuilder byteArrayBuilder)
                                   throws java.io.IOException

  Specified by:
    `foundQuoteSymbol` in interface `QuoteSymbolByteChecker`
  Throws:
    `java.io.IOException`

### foundQuoteSymbol

    public final int foundQuoteSymbol(byte[] data,
                                      int start,
                                      int length)
                               throws java.io.IOException

  Specified by:
    `foundQuoteSymbol` in interface `QuoteSymbolByteChecker`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `QuoteSymbolByteChecker`

### startsBuffer

    public int startsBuffer(byte[] buffer)

### startsBuffer

    public int startsBuffer(char[] buffer)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD